BEGIN ~TCWGPK1~

IF ~True()~ THEN BEGIN 0
  SAY ~Hmph.  You there... any reason in particular that you're here?~
  IF ~~ THEN REPLY ~Who are you?~ GOTO 1
  IF ~~ THEN REPLY ~I'm just looking around.~ GOTO 4
  IF ~~ THEN REPLY ~Actually, no.  I'll be on my way, then.~ GOTO 3
END

IF ~~ THEN BEGIN 1
  SAY ~I'm the keeper of this here prison, and what I says goes.  I'm sure there ain't nothin' to interest you, here, so why don't you just turn around and go home?~
  IF ~~ THEN REPLY ~I would like to just take a quick look around, if I could.~ GOTO 4
  IF ~~ THEN REPLY ~All right, I'm leaving.~ GOTO 3
END

IF ~~ THEN BEGIN 2
  SAY ~There isn't anything for you to see here, <GIRLBOY>.  Now just turn your tail about and get gone, alright?~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 3
  SAY ~Fine.  Be on your way.  Prison's a dangerous place for folk like you, at any rate.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4
  SAY ~There isn't anything interesting for you to see here, <GIRLBOY>... an' I don't let strangers crawl around my prison without reason.  Off you go.~
  IF ~~ THEN REPLY ~Perhaps some gold might change your mind?~ GOTO 5
  IF ~~ THEN REPLY ~Alright, I'm going.~ GOTO 3
END

IF ~~ THEN BEGIN 5
  SAY ~I'll just pretend I didn't hear that.  Now leave, before I forget that rending you limb from limb might make you feel... unwelcome.~
  IF ~~ THEN EXIT
END
